//
//  Colors.swift
//
//
//  Created by Erick Yamato on 16/06/21.
//  Copyright © 2021 tech.fit. All rights reserved.
//

import Foundation
import UIKit

extension UIColor {

    // MARK: Black
    static func black5() -> UIColor {
        return UIColor(hex: "#FFFFFF")
    }

    static func black10() -> UIColor {
        return UIColor(hex: "#F4F5F6")
    }

    static func black20() -> UIColor {
        return UIColor(hex: "#E1E3EA")
    }

    static func black40() -> UIColor {
        return UIColor(hex: "#A7A8AA")
    }

    static func black60() -> UIColor {
        return UIColor(hex: "#919294")
    }

    static func black80() -> UIColor {
        return UIColor(hex: "#505154")
    }

    static func black100() -> UIColor {
        return UIColor(hex: "#23242B")
    }

    // MARK: Brand
    static func blissfulPeach() -> UIColor {
        return UIColor(hex: "#F06250")
    }

    static func blueSky() -> UIColor {
        return UIColor(hex: "#00B3DA")
    }

    static func eatYourGreens() -> UIColor {
        return UIColor(hex: "#003C2F")
    }

    static func pinkyCheeks() -> UIColor {
        return UIColor(hex: "#CC5296")
    }

    static func purplelicious() -> UIColor {
        return UIColor(hex: "#791851")
    }

    static func sunnyDay() -> UIColor {
        return UIColor(hex: "F2F2F2")
    }

    // MARK: Negative
    static func negative() -> UIColor {
        return UIColor(hex: "#E05252")
    }

    static func negativeDark() -> UIColor {
        return UIColor(hex: "#BE4646")
    }

    static func negativeLight() -> UIColor {
        return UIColor(hex: "#E77575")
    }

    // MARK: Positive
    static func positive() -> UIColor {
        return UIColor(hex: "#52CC86")
    }

    static func positiveDark() -> UIColor {
        return UIColor(hex: "#46AC73")
    }

    static func positiveLight() -> UIColor {
        return UIColor(hex: "#7CD9A4")
    }

    // MARK: Primary
    static func primary100() -> UIColor {
        return UIColor(hex: "#FBDFDC")
    }

    static func primary200() -> UIColor {
        return UIColor(hex: "#F8C1B8")
    }

    static func primary300() -> UIColor {
        return UIColor(hex: "#F7A095")
    }

    static func primary400() -> UIColor {
        return UIColor(hex: "#F48273")
    }

    static func primary500() -> UIColor {
        return UIColor(hex: "#F06250")
    }

    static func primary600() -> UIColor {
        return UIColor(hex: "#D95847")
    }

    static func primary700() -> UIColor {
        return UIColor(hex: "#C14F40")
    }

    static func primary800() -> UIColor {
        return UIColor(hex: "#A94538")
    }

    static func primary900() -> UIColor {
        return UIColor(hex: "#913A2F")
    }

    // MARK: Secondary
    static func secondary100() -> UIColor {
        return UIColor(hex: "#CCEFF8")
    }

    static func secondary200() -> UIColor {
        return UIColor(hex: "#99E0EF")
    }

    static func secondary300() -> UIColor {
        return UIColor(hex: "#66D1E9")
    }

    static func secondary400() -> UIColor {
        return UIColor(hex: "#33C1DF")
    }

    static func secondary500() -> UIColor {
        return UIColor(hex: "#00B3DA")
    }

    static func secondary600() -> UIColor {
        return UIColor(hex: "#00A0C4")
    }

    static func secondary700() -> UIColor {
        return UIColor(hex: "#007C99")
    }

    static func secondary800() -> UIColor {
        return UIColor(hex: "#00586C")
    }

    static func secondary900() -> UIColor {
        return UIColor(hex: "#004756")
    }

    // MARK: Theme
    static func accent() -> UIColor {
        return UIColor(hex: "#683EBC")
    }

    static func action() -> UIColor {
        return UIColor(hex: "#F06250")
    }

    static func background() -> UIColor {
        return UIColor(hex: "#F4F5F6")
    }

    static func divider() -> UIColor {
        return UIColor(hex: "#E1E3EA")
    }

    static func error() -> UIColor {
        return UIColor(hex: "#E05252")
    }

    static func inactiveStates() -> UIColor {
        return UIColor(hex: "#919294")
    }

    static func inputBackground() -> UIColor {
        return UIColor(hex: "#F4F5F6")
    }

    static func navBar() -> UIColor {
        return UIColor(hex: "#FFFFFF")
    }

    static func placeholderText() -> UIColor {
        return UIColor(hex: "#A7A8AA")
    }

    static func primary() -> UIColor {
        return UIColor(hex: "#F06250")
    }

    static func primaryText() -> UIColor {
        return UIColor(hex: "#23242B")
    }


    static func receiver() -> UIColor {
        return UIColor(hex: "#BFA4F1")
    }

    static func secondary() -> UIColor {
        return UIColor(hex: "#00B3DA")
    }

    static func secondaryText() -> UIColor {
        return UIColor(hex: "#505154")
    }

    static func sender() -> UIColor {
        return UIColor(hex: "#E2E3EB")
    }

    static func success() -> UIColor {
        return UIColor(hex: "#52CC86")
    }

    static func surface() -> UIColor {
        return UIColor(hex: "#FFFFFF")
    }

    static func tertiaryText() -> UIColor {
        return UIColor(hex: "#919294")
    }

    static func darkest() -> UIColor {
        return UIColor(hex: "#2F334B")
    }

    static func pure() -> UIColor {
        return UIColor(hex: "#BFE338")
    }

    static func neuteral() -> UIColor {
        return UIColor(hex: "##F2F2F8")
    }

    static func brandPure() -> UIColor {
        return UIColor(hex: "#6C40BF")
    }

    static func neutralDark() -> UIColor {
        return UIColor(hex: "#434661")
    }
}
