import 'package:flutter/services.dart';

class CuidaiEventCommunication {
  late Function _onSDKEvent;
  late Function? _onAnalyticsEvent;

  CuidaiEventCommunication(
      {required onSDKEvent(String route),
      onAnalyticsEvent(String event, Map<String, String> params)?}) {
    _onSDKEvent = onSDKEvent;
    _onAnalyticsEvent = onAnalyticsEvent;
  }

  Future<dynamic> nativeMethodCallHandler(MethodCall call) async {
    switch (call.method) {
      case "route":
        String? route = call.arguments["route"];
        _onSDKEvent(route);
        return true;
      case "event":
        String? eventName = call.arguments["event"];
        Map<String, String> parameters =
            Map<String, String>.from(call.arguments["params"]);
        _onAnalyticsEvent?.call(eventName, parameters);
        return true;
      default:
        return false;
    }
  }
}
